%global debug_package %{nil}

Name: python-jaraco.context
Epoch: 100
Version: 4.1.1
Release: 1%{?dist}
BuildArch: noarch
Summary: Context managers by jaraco
License: MIT
URL: https://github.com/jaraco/jaraco.context/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Context managers by jaraco.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-jaraco.context
Summary: Context managers by jaraco
Requires: python3
Provides: python3-jaraco.context = %{epoch}:%{version}-%{release}
Provides: python3dist(jaraco.context) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jaraco.context = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jaraco.context) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jaraco.context = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jaraco.context) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-jaraco.context
Context managers by jaraco.

%files -n python%{python3_version_nodots}-jaraco.context
%license LICENSE
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-jaraco.context
Summary: Context managers by jaraco
Requires: python3
Provides: python3-jaraco.context = %{epoch}:%{version}-%{release}
Provides: python3dist(jaraco.context) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jaraco.context = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jaraco.context) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jaraco.context = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jaraco.context) = %{epoch}:%{version}-%{release}

%description -n python3-jaraco.context
Context managers by jaraco.

%files -n python3-jaraco.context
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-jaraco-context
Summary: Context managers by jaraco
Requires: python3
Provides: python3-jaraco.context = %{epoch}:%{version}-%{release}
Provides: python3dist(jaraco.context) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jaraco.context = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jaraco.context) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jaraco.context = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jaraco.context) = %{epoch}:%{version}-%{release}

%description -n python3-jaraco-context
Context managers by jaraco.

%files -n python3-jaraco-context
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
